import json
import argparse

parser = argparse.ArgumentParser()
parser.add_argument("--file", type=str)
args = parser.parse_args()

with open(args.file, 'r') as f:
    json_data = json.load(f)
json_dict = json_data['results']

sum = 0
count = 0
for key in json_dict.keys():
    print(key)
    print(json_dict[key]['acc'])
    sum += json_dict[key]['acc']
    count += 1

print("average score: ", sum / count)
print("count: ", count)